(function() {
  'use strict';

  angular
      .module('app-base')
      .filter('trustAsHtml', trustAsHtml)
      .filter('trustAsSrc', trustAsSrc)
      .filter('password', password);

      /** @ngInject */
      function trustAsHtml($sce) {
        return function (input) {
            return $sce.trustAsHtml(input);
        }
      }
      /** @ngInject */
      function trustAsSrc($sce) {
        return function (input) {
          return $sce.trustAsResourceUrl(input);
        }
      }
      /** @ngInject */
      function password(){
        return function(input){
          var output = '';
          for(var k in input){
            output += '•';
          }
          return output
        }
      }

})();
